/lending/v1/products/{product_id}/segments/{segment_id}/pricing

Get segment price history

The endpoint lending/v1/products/{product_id}/segments/{segment_id}/pricing allows you to obtain the price configuration history of a segment: past, current, and scheduled.

  • data is ordered by start_date ascending. It includes the configurations already applied, the current one, and, if it exists, the pending one.
  • Only includes the segment's own pricing changes, not the product's. If the segment never had its own pricing, data is an empty list.
  • If the product does not exist, it responds 404 PRODUCT_NOT_FOUND. If the segment does not exist in the product, 404 SEGMENT_NOT_FOUND.

Available parameters

Path Parameters
product_idString
segment_idString

Autenticación

🔒BearerAuthhttp

Response details

401
The token is missing or invalid. The response has no body.
403
No body. The token is valid but does not have the scope required by the endpoint.

Ejemplo de código
curl -X GET "https://api.pomelo.la/lending/v1/products/example_value/segments/example_value/pricing" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"
Ejemplo de respuesta (200)OK
{
  "data": [
    {
      "start_date": "2026-12-01",
      "rates": {
        "financing": "12.50",
        "late_fee": "2.00",
        "cash_advance": "15.00",
        "international_cash_advance": "2.50",
        "revolving": "14.90",
        "revolving_by_limit": [
          {
            "from_amount": "0",
            "unit_type": "UF",
            "rate": "1.90"
          }
        ]
      },
      "fees": [
        {
          "name": "annual_fee",
          "amount": "250.00",
          "currency": "USD",
          "frequency": "YEARLY",
          "operation": "CASH_ADVANCE",
          "type": "FLAT"
        }
      ],
      "issuer_installment_rates": [
        {
          "from_amount": "0",
          "min_installments": 1,
          "max_installments": 12,
          "annual_rate": "24.00"
        }
      ]
    }
  ]
}

Pomelo AI

Artificial intelligence assistant for inquiries about the Pomelo API
Hello!How can I help you today?
Get segment price history | Pomelo API Reference